Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
cls_struct_combined Struct Reference

## Data Fields
cls_struct_16byte1 | d
cls_struct_16byte2 | e
float | a
float | b
float | c
float | d

## Detailed Description

Definition at line 23 of file nested_struct.c.

## Field Documentation

## ◆ a

float cls_struct_combined::a

Definition at line 11 of file testclosure.c.

## ◆ b

float cls_struct_combined::b

Definition at line 12 of file testclosure.c.

## ◆ c

float cls_struct_combined::c

Definition at line 13 of file testclosure.c.

## ◆ d [1/2]

float cls_struct_combined::d

Definition at line 14 of file testclosure.c.

## ◆ d [2/2]

cls_struct_16byte1 cls_struct_combined::d

Definition at line 24 of file nested_struct.c.

Referenced by main().

## ◆ e

cls_struct_16byte2 cls_struct_combined::e

Definition at line 25 of file nested_struct.c.

Referenced by main().

The documentation for this struct was generated from the following files:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/nested_struct1.c
- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/testclosure.c